import { jsx as _jsx } from "react/jsx-runtime";
import MuiDrawer from '@mui/material/Drawer';
import { styled } from '@mui/material/styles';
import { CLOSE_DRAWER_WIDTH, DRAWER_WIDTH, SIDEBAR_CLOSE_DURATION, } from '../../constants/sidebar-constants';
const openedMixin = (theme) => ({
    width: DRAWER_WIDTH,
    transition: theme.transitions.create('width', {
        easing: theme.transitions.easing.sharp,
        duration: SIDEBAR_CLOSE_DURATION,
    }),
    overflowX: 'hidden',
});
const closedMixin = (theme) => ({
    transition: theme.transitions.create('width', {
        easing: theme.transitions.easing.sharp,
        duration: SIDEBAR_CLOSE_DURATION,
    }),
    width: CLOSE_DRAWER_WIDTH,
});
const Drawer = styled(MuiDrawer, { shouldForwardProp: prop => prop !== 'open' })(({ theme, open }) => ({
    ...(open && {
        ...openedMixin(theme),
        '& .MuiDrawer-paper': {
            ...openedMixin(theme),
        },
    }),
    ...(!open && {
        ...closedMixin(theme),
        '& .MuiDrawer-paper': {
            ...closedMixin(theme),
        },
    }),
}));
const AppDrawer = ({ open, ...props }) => {
    return _jsx(Drawer, { open: open, ...props });
};
export default AppDrawer;
