import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { FileDownloadOutlined as FileDownloadOutlinedIcon } from '@mui/icons-material';
import { Typography } from '@mui/material';
import { useGridApiContext } from '@mui/x-data-grid';
import { translate } from '../../locales/translations';
import './adminTable-styles.scss';
const CsvExport = (props) => {
    const { fileName, ...otherProps } = props;
    const apiRef = useGridApiContext();
    const handleExport = () => {
        apiRef.current.exportDataAsCsv({ ...props.options, fileName });
    };
    return (_jsxs(Typography, { ...otherProps, className: "adminTable__csvButton", onClick: handleExport, children: [_jsx(FileDownloadOutlinedIcon, { fontSize: "small" }), translate.components.table.exportCsv] }));
};
export default CsvExport;
