export const API_TIMEOUT = 10000;
export var ApiMethod;
(function (ApiMethod) {
    ApiMethod["Delete"] = "delete";
    ApiMethod["Get"] = "get";
    ApiMethod["Patch"] = "patch";
    ApiMethod["Post"] = "post";
    ApiMethod["Put"] = "put";
})(ApiMethod || (ApiMethod = {}));
export var ApiStatusCode;
(function (ApiStatusCode) {
    ApiStatusCode[ApiStatusCode["BadRequest"] = 400] = "BadRequest";
    ApiStatusCode[ApiStatusCode["Created"] = 201] = "Created";
    ApiStatusCode[ApiStatusCode["Forbidden"] = 403] = "Forbidden";
    ApiStatusCode[ApiStatusCode["MethodNotFound"] = 405] = "MethodNotFound";
    ApiStatusCode["NetworkError"] = "ERR_NETWORK";
    ApiStatusCode[ApiStatusCode["NoContent"] = 204] = "NoContent";
    ApiStatusCode[ApiStatusCode["NotFound"] = 404] = "NotFound";
    ApiStatusCode[ApiStatusCode["ServerError"] = 500] = "ServerError";
    ApiStatusCode[ApiStatusCode["Success"] = 200] = "Success";
    ApiStatusCode[ApiStatusCode["Unauthorized"] = 401] = "Unauthorized";
})(ApiStatusCode || (ApiStatusCode = {}));
export const API = {
    baseUrl: 'https://api.example.com/',
    config: {
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json',
            'Authorization': '',
        },
    },
    endPoints: {
        LEADS: 'leads',
        // add all your APIs endpoints here
    },
};
export var API_STATUS_PRESET;
(function (API_STATUS_PRESET) {
    API_STATUS_PRESET["SUBMIT_LEAD_INQUIRY"] = "submitLeadInquiry";
})(API_STATUS_PRESET || (API_STATUS_PRESET = {}));
